Bug 92456 - Older ShadowDOM is still rendered when a new ShadowDOM is added when they don't have any InsertionPoints.
Summary: Older ShadowDOM is still rendered when a new ShadowDOM is added when they don...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Shinya Kawanaka
URL:
Keywords:
Depends on:
Blocks: 82313
  Show dependency treegraph
 
Reported: 2012-07-26 21:56 PDT by Shinya Kawanaka
Modified: 2012-07-31 06:15 PDT (History)
6 users (show)

See Also:


Attachments
Repro (477 bytes, text/html)
2012-07-26 21:56 PDT, Shinya Kawanaka
no flags Details
Patch (3.82 KB, patch)
2012-07-26 22:07 PDT, Shinya Kawanaka
no flags Details | Formatted Diff | Diff
Patch (8.96 KB, patch)
2012-07-26 23:15 PDT, Shinya Kawanaka
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from gce-cr-linux-07 (615.49 KB, application/zip)
2012-07-27 02:50 PDT, WebKit Review Bot
no flags Details
Patch (9.06 KB, patch)
2012-07-30 19:16 PDT, Shinya Kawanaka
no flags Details | Formatted Diff | Diff
Patch for landing (9.01 KB, patch)
2012-07-31 01:44 PDT, Shinya Kawanaka
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shinya Kawanaka 2012-07-26 21:56:32 PDT
When we add a new ShadowDOM having no InsertionPoint, If older ShadowDOM does not have any InsertionPoint, the older ShadowDOM is still rendered.
Comment 1 Shinya Kawanaka 2012-07-26 21:56:53 PDT
Created attachment 154837 [details]
Repro
Comment 2 Shinya Kawanaka 2012-07-26 22:07:00 PDT
Created attachment 154840 [details]
Patch
Comment 3 Shinya Kawanaka 2012-07-26 22:27:29 PDT
shinyak and morrita discussed this at offline, and we have determined the following:

We should remove the InvalidationType, and add a method to make validity UNDETERMINED. We should call it before where using InvalidateAndForceReattach.
Comment 4 Shinya Kawanaka 2012-07-26 23:15:46 PDT
Created attachment 154850 [details]
Patch
Comment 5 Shinya Kawanaka 2012-07-26 23:28:26 PDT
Comment on attachment 154850 [details]
Patch

Oops... This patch causes a lot of crashes.
Comment 6 WebKit Review Bot 2012-07-27 02:50:56 PDT
Comment on attachment 154850 [details]
Patch

Attachment 154850 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/13374285

New failing tests:
fast/dom/shadow/input-with-validation-without-shadow.html
Comment 7 WebKit Review Bot 2012-07-27 02:50:59 PDT
Created attachment 154888 [details]
Archive of layout-test-results from gce-cr-linux-07

The attached test failures were seen while running run-webkit-tests on the chromium-ews.
Bot: gce-cr-linux-07  Port: <class 'webkitpy.common.config.ports.ChromiumXVFBPort'>  Platform: Linux-2.6.39-gcg-201203291735-x86_64-with-Ubuntu-10.04-lucid
Comment 8 Shinya Kawanaka 2012-07-30 19:16:11 PDT
Created attachment 155422 [details]
Patch
Comment 9 Hajime Morrita 2012-07-30 23:18:41 PDT
Comment on attachment 155422 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=155422&action=review

> LayoutTests/fast/dom/shadow/invalidate-distribution-expected.html:4
> +<script src="resources/polyfill.js"></script>

Do you need polyfill for this?
Comment 10 Shinya Kawanaka 2012-07-31 01:44:38 PDT
Created attachment 155466 [details]
Patch for landing
Comment 11 Shinya Kawanaka 2012-07-31 01:45:30 PDT
Comment on attachment 155422 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=155422&action=review

>> LayoutTests/fast/dom/shadow/invalidate-distribution-expected.html:4
>> +<script src="resources/polyfill.js"></script>
> 
> Do you need polyfill for this?

No. Thanks.
Comment 12 WebKit Review Bot 2012-07-31 06:15:43 PDT
Comment on attachment 155466 [details]
Patch for landing

Clearing flags on attachment: 155466

Committed r124196: <http://trac.webkit.org/changeset/124196>
Comment 13 WebKit Review Bot 2012-07-31 06:15:48 PDT
All reviewed patches have been landed.  Closing bug.